Bug 2241279 - Fedora 38 with the latest kernel 6.5.5-200 not shutting down
Summary: Fedora 38 with the latest kernel 6.5.5-200 not shutting down
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 38
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 2241854 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-09-29 04:35 UTC by septimus729
Modified: 2024-01-17 15:03 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:


Attachments (Terms of Use)
dmidecode output of my device, in case it can be useful (30.04 KB, text/plain)
2023-10-04 13:34 UTC, Qiyu Yan
no flags Details
journalctl's output of a session I had to forcefully shutdown (UEFI+SecureBoot on). I cannot see any problem. (275.70 KB, text/plain)
2023-10-04 14:17 UTC, René Genz
no flags Details
acpidump output (3.80 MB, text/plain)
2023-10-04 14:24 UTC, Qiyu Yan
no flags Details
dmesg (104.26 KB, text/plain)
2023-10-04 14:38 UTC, Qiyu Yan
no flags Details

Description septimus729 2023-09-29 04:35:08 UTC
After installing the latest kernel update from 6.4.15-200 -> 6.5.5-200 my Fedora 38 does not shutdown anymore from the screen menu and from Terminal when using commands 'shutdown' or 'poweroff'. To shutdown I have to plug PC off from power cord or press power off button of the PC for some time until power signal lamp will shutdown.

I tested this with 2 earlier kernels 6.4.14-200 and 6.4.15-200 - my result: no problem with normal shutdowns. The PC tested is Dell Optiplex 3040.


Reproducible: Always

Steps to Reproduce:
1.Select kernel 6.5.5-200
2.Reboot
3.Try to shutdown 
Actual Results:  
The screen becomes black but the machine stays with power on and can be shutdown only by unplugging the power cord of the PC or pressing shutdown button so long that the power-on signal led-lamp of the PC will shutdown. 

Expected Results:  
I can reboot to kernel 6.5.5-200 and this same phenomena will repeat. Using older kernels 6.6.14-200 or 6.4.15-200 this phenomena does not take place. 

Kernel 6.5.5-200 should make the shutdown process to the end.

Comment 1 septimus729 2023-09-29 05:27:06 UTC
(In reply to septimus729 from comment #0)
> After installing the latest kernel update from 6.4.15-200 -> 6.5.5-200 my
> Fedora 38 does not shutdown anymore from the screen menu and from Terminal
> when using commands 'shutdown' or 'poweroff'. To shutdown I have to plug it
> off from energy or press power off button of the PC for some time.
> 
> I tested this with 2 earlier kernels 6.4.14-200 and 6.4.15-200 - my result:
> no problem with normal shutdowns. The PC tested is Dell Optiplex 3040.
> 
> 
> Reproducible: Always
> 
> Steps to Reproduce:
> 1.Select kernel 6.5.5-200
> 2.Reboot
> 3.Try to shutdown 
> Actual Results:  
> The screen becomes black but the machine stays with power on and can be
> shutdown only by unplugging the power cord of the PC or pressing shutdown
> button so long that the power-on signal led-lamp of the PC will shutdown. 
> 
> Expected Results:  
> I can reboot to kernel 6.5.5-200 and this same phenomena will repeat. Using
> older kernels 6.6.14-200 or 6.4.15-200 this phenomena does not take place. 
> 
> Kernel 6.5.5-200 should make the shutdown process to the end.

Comment 2 septimus729 2023-09-29 05:29:02 UTC
(In reply to septimus729 from comment #1)
> (In reply to septimus729 from comment #0)
> > After installing the latest kernel update from 6.4.15-200 -> 6.5.5-200 my
> > Fedora 38 does not shutdown anymore from the screen menu and from Terminal
> > when using commands 'shutdown' or 'poweroff'. To shutdown I have to plug it
> > off from power or press power off button of the PC for some time untill power signal lamp will shutdown.
> > 
> > I tested this with 2 earlier kernels 6.4.14-200 and 6.4.15-200 - my result:
> > no problem with normal shutdowns. The PC tested is Dell Optiplex 3040.
> > 
> > 
> > Reproducible: Always
> > 
> > Steps to Reproduce:
> > 1.Select kernel 6.5.5-200
> > 2.Reboot
> > 3.Try to shutdown 
> > Actual Results:  
> > The screen becomes black but the machine stays with power on and can be
> > shutdown only by unplugging the power cord of the PC or pressing shutdown
> > button so long that the power-on signal led-lamp of the PC will shutdown. 
> > 
> > Expected Results:  
> > I can reboot to kernel 6.5.5-200 and this same phenomena will repeat. Using
> > older kernels 6.6.14-200 or 6.4.15-200 this phenomena does not take place. 
> > 
> > Kernel 6.5.5-200 should make the shutdown process to the end.

Comment 3 septimus729 2023-09-29 05:38:38 UTC
After installing the latest kernel update from 6.4.15-200 -> 6.5.5-200 my Fedora 38 does not shutdown anymore from the screen menu and from Terminal when using commands 'shutdown' or 'poweroff'. To shutdown I have to plug off the power cord or press power off button of the PC for some time until power-on signal lamp will shutdown.

I tested this with 2 earlier kernels 6.4.14-200 and 6.4.15-200 - my result: no problem with normal shutdowns. The PC tested is Dell Optiplex 3040.

Comment 4 kenan.murat 2023-10-01 22:09:04 UTC
I've got the exact same problem :

After installing the latest kernel update from 6.2.9-300 -> 6.5.5-200 my Fedora 38 does not shutdown or restart anymore from the screen menu and from Terminal when using commands 'shutdown' or 'poweroff'. To shutdown I have to plug PC off from power cord or press power off button of the PC for some time until power signal lamp will shutdown.

I tested this with my previous kernel 6.2.9- my result: no problem with normal shutdowns. The PC tested is Dell Optiplex 3050 for me


Reproducible: Always

Steps to Reproduce:
1.Select kernel 6.5.5-200
2.Reboot
3.Try to shutdown 
Actual Results:  
The screen becomes black but the machine stays with power on and can be shutdown only by unplugging the power cord of the PC or pressing shutdown button so long that the power-on signal led-lamp of the PC will shutdown. 

Expected Results:  
I can reboot to kernel 6.5.5-200 and this same phenomena will repeat. Using older kernels 6.2.9-300 this phenomena does not take place. 

Kernel 6.5.5-200 should make the shutdown process to the end.

Comment 5 Justin M. Forbes 2023-10-03 11:55:21 UTC
*** Bug 2241854 has been marked as a duplicate of this bug. ***

Comment 6 utoplenick 2023-10-04 08:14:54 UTC
Same problem on laptop Sony VPCSA3Z9R

Comment 7 Qiyu Yan 2023-10-04 13:26:37 UTC
Exact issue here, with similar kernel version but on F39. Seems that some change starting from very early version of kernel 6.5.x introduced the issue.

My device is Lenovo ThinkBook 14 G5+ IRH. Unfortunately, I can't get pstore working on this device that I can't capture what is happening after screen goes dark.

Comment 8 Qiyu Yan 2023-10-04 13:34:20 UTC
Created attachment 1992025 [details]
dmidecode output of my device, in case it can be useful

Comment 9 René Genz 2023-10-04 14:13:15 UTC
I cannot reproduce the issue on notebook "Dell Latitude 5590".
I can reproduce the issue with kernel-6.5.5-200.fc38.x86_64 on desktop computer "Dell OptiPlex 7050".
For desktop computer: BIOS and SecureBoot modes do not matter, i.e. all fail: Legacy, UEFI & SB off, UEFI & SB on. Reboot and shutdown are affected! After you initiate either the screen will turn off, and network connections get disconnected, but computer fan, power supply, and power button will stay on. No change after waiting several minutes. You must press power button for 10 seconds to power off computer. 5 seconds after that the computer powers on for 2 seconds, then turns off on its own; after that you can start it with power button. No such problem on desktop computer with kernel-6.4.15-200.fc38.x86_64 (I did not test other kernel versions).

I can perform tests and provide more information if required.

Comment 10 René Genz 2023-10-04 14:17:37 UTC
Created attachment 1992026 [details]
journalctl's output of a session I had to forcefully shutdown (UEFI+SecureBoot on). I cannot see any problem.

Comment 11 Qiyu Yan 2023-10-04 14:24:59 UTC
Created attachment 1992027 [details]
acpidump output

Comment 12 Qiyu Yan 2023-10-04 14:38:12 UTC
Created attachment 1992028 [details]
dmesg

Comment 13 René Genz 2023-10-04 15:17:15 UTC
I cannot reproduce problem on notebook "Lenovo ThinkPad L15 Gen 3 (21C30016GE)".
After updating firmware of "Dell OptiPlex 7050" to latest version (UEFI dbx 371, BIOS 1.26.0) the issue is still there.

Comment 14 René Genz 2023-10-04 17:13:35 UTC
I can reproduce issue on "Dell OptiPlex 7040". I stop testing other computers now.

Comment 15 Seth Alford 2023-10-05 17:22:39 UTC
Same problem on laptop Sony Corporation VPCEG32FX/VAIO, BIOS R02 4028 01/06/2012

Comment 16 René Genz 2023-10-09 09:36:19 UTC
kernel-6.5.6-200.fc38 (currently in updates-testing repo) does not fix problem on Dell OptiPlex 7050. I hoped for it because RPM changelog contains line starting with "power: supply: core".

Comment 17 septimus729 2023-10-10 23:29:37 UTC
The latest kernel upgrade from 6.5.5-200 to 6.5.6-200 of 10.10.2023 in Fedora 38 did NOT solve the problem related bug report 2241279 (shutdown process).

Comment 18 Seth Alford 2023-10-11 13:03:35 UTC
Same here. The latest kernel upgrade from 6.5.5-200 to 6.5.6-200 of 10.10.2023 in Fedora 38 did NOT solve the problem.

Comment 19 Qiyu Yan 2023-10-11 14:33:05 UTC
I think 6.5.6-300.fc39.x86_64 is working for me right now.

Comment 20 septimus729 2023-10-11 15:52:39 UTC
Updated yesterday kernel version 6.5.6-200.fc38.x86_64 in my Dell Optiplex 3040 with Fedora 38 did NOT solve yet the problem with shutdown. Maybe distribution upgrade from Fedora 38 to 39 with kernel 6.5.6-300.fc39.x86_64, which is scheduled to 17.10.2023, will be the only solution ?

Comment 21 Thorsten Leemhuis 2023-10-12 17:02:32 UTC
From a quick look at it this might be this upstream regression: https://bugzilla.kernel.org/show_bug.cgi?id=217995 / https://lore.kernel.org/all/e6d1dae8-e28a-455a-a851-661c825fbdcf@gmail.com/

Comment 22 René Genz 2023-10-16 09:07:14 UTC
kernel-6.5.7-200.fc38 (currently in updates-testing) does not fix problem on Dell OptiPlex 7050.

Comment 23 Giulio 2023-10-16 20:58:57 UTC
kernel 6.6-rc6 should fix it, according to https://bugzilla.kernel.org/show_bug.cgi?id=217995#c18

Comment 24 Thorsten Leemhuis 2023-10-17 03:55:23 UTC
6.5.8-rc1 as well, which currently is available here as vanilla kernel for Fedora: https://copr.fedorainfracloud.org/coprs/g/kernel-vanilla/stable-rc/

Comment 25 Giulio 2023-10-17 11:58:18 UTC
Thank you for the suggestion, I'm installing and testing 6.5.8-0.rc2.150.vanilla.fc37 right now on my laptop.

Comment 26 Giulio 2023-10-17 12:21:03 UTC
It fixes my https://bugzilla.redhat.com/show_bug.cgi?id=2244291 but it seems to introduce another issue with my internal wifi...

Comment 27 Seth Alford 2023-10-18 00:37:44 UTC
I do not see the problem on my desktop, Dell Inc. Precision WorkStation T7500  /06FW8P, BIOS A10 04/20/2011; with the 6.5.5-200.fc38.x86_64 kernel nor with the 6.5.6-200.fc38.x86_64 kernel. With both kernels, my desktop shuts down properly. So it's not specific to Dell computers.

Comment 28 septimus729 2023-10-18 06:58:54 UTC
Today 18.10.2023 I received from Fedora to the same PC automatic update of Fedora 38 kernel from 6.5.6-200 to 6.5.7-200.fc38.x86_64. This is not a testing version. This updated version did NOT solve this issue with shutdown.

Comment 29 René Genz 2023-10-23 12:28:31 UTC
- not affected: Dell OptiPlex 780
- kernel-6.5.8-200.fc38 (at the moment in updates-testing repo: https://src.fedoraproject.org/rpms/kernel ) fixes problem for me on Dell OptiPlex 7050 and 7040

Comment 30 septimus729 2023-10-26 11:30:04 UTC
I'm very pleased to inform that today, after receiving to my Fedora 38 kernel update/upgrade to 6.5.8-200.fc38.x86_64, the shutdown process works now correctly. Thank you very much !

Comment 31 Seth Alford 2023-10-26 22:21:31 UTC
6.5.8-200.fc38.x86_64 fixed the problem for me


Note You need to log in before you can comment on or make changes to this bug.